/*
 * MUI_reader.c
 */
#include "MUI_bluetooth.h"
#include "MUI_configuration.h"
#include "MUI_log.h"
#include "MUI_pressure_sensor.h"
#include "MUI_reader.h"
#include "MUI_timer.h"

void MUIrdConfigure()
{
 MUIbtConfigure();
}

void MUIrdDetect()
{
	MUIbtConnect();
	MUIbtSelect();
	MUIbtDisconnect();
}

void MUIrdConnect()
{
	MUIbtSelect();
	MUIbtReceive();
	MUIbtWait();
	MUIbtSend();
}

void MUIrdProcessCommand()
{
	MUIbtSelect();
	MUIbtReceive();
	MUIbtSend();
	MUIbtSelect();
}
