/*
 *  Licensed Materials - Property of IBM / HCL Technologies
 *  Restricted Material of IBM / HCL Technologies
 *  IBM Rational Test RealTime / HCL OneTest
 *  (c) Copyright IBM Corp. 2020 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *       |\      _,,,---,,_
 *       /,`.-'`'    -.  ;-;;,_
 *      |,4-  ) )-,_..;\ (  `'-'
 *     '---''(_/--'  `-'\_)
 *
 ********************************************
 */
/*
 * this file contains external entry points for displaying purpose
 */

#ifndef DISPLAY_H_
#define DISPLAY_H_


extern void displayHelp(void);
extern void displayError(void);
extern void displayMatrix(void);
extern void displayMatrixAndPos(int currentX, int currentY, int displayArrows, char c);
extern void displayGameHelp(void);
extern void displayGamePrompt(int bump);
extern void displayEnd(int nbmove,int startx, int starty,int moves[]);
extern void displayQuit(void);

#endif /* DISPLAY_H_ */
