/*
 * MUI_log.c
 *
 */
#ifndef NOMALLOC 
#include <malloc.h>
#include <string.h>
#endif
#include "MUI_bluetooth.h"
#include "MUI_configuration.h"
#include "MUI_log.h"
#include "MUI_pressure_sensor.h"
#include "MUI_reader.h"
#include "MUI_timer.h"

int lastLogData;

void MUIlogClear()
{
}

void MUIlogFull()
{
}

void MUIlogInformation(int data)
{
  lastLogData=data;
  MUIcheckTimer();
  MUIlogClear();
}

void MUIlogError(char *message)
{
 char *txt;
 MUIcheckTimer();
#ifndef NOMALLOC 
 if (strlen(message)>0) 
	 {
	  txt=(char *)malloc(100);
	  strcpy(txt,"Error: ");
	  strcat(txt,message);
	 }
 /* printf("%s",txt); */
#endif
  MUIlogFull();
}

